summaryrefslogtreecommitdiffstats
path: root/scripts/loglist
diff options
context:
space:
mode:
authorSeth Vidal <skvidal@fedoraproject.org>2013-07-01 18:47:01 +0000
committerSeth Vidal <skvidal@fedoraproject.org>2013-07-01 18:47:01 +0000
commit7dc7a9207e4501a2420bb978ec2ae92832b705cb (patch)
treea09f62a7a5cb85c8e6d60fb27deca3ddd3b335df /scripts/loglist
parent79d8b2e65639879321879c87781e6ea2d14253bc (diff)
2 rough cuts for viewing/listing the ansible logs
- see the scripts for how they work and example usages
Diffstat (limited to 'scripts/loglist')
-rwxr-xr-xscripts/loglist30
1 files changed, 30 insertions, 0 deletions
diff --git a/scripts/loglist b/scripts/loglist
new file mode 100755
index 000000000..fd2e0905c
--- /dev/null
+++ b/scripts/loglist
@@ -0,0 +1,30 @@
+#!/bin/bash
+# lists what playbooks/processes have happened today
+# takes 2 optional arguments: date string, playbook name
+# examples:
+# ./loglist
+# ./loglist yesterday
+# ./loglist "last friday"
+# ./loglist yesterday mirrorlist
+
+logpath='/var/log/ansible'
+
+when='yesterday'
+if [ -n "$1" ]; then
+when=$1
+fi
+
+ts=`date -d "$when" +%Y/%m/%d`
+
+if [ -z "$2" ]; then
+ find $logpath/$ts -mindepth 1 -maxdepth 1 -type d -print
+exit;
+fi
+
+if [ -d $logpath/$ts/$2 ]; then
+ find $logpath/$ts/$2 -mindepth 1 -maxdepth 1 -type d -print
+else
+ echo "No such playbook log: $2"
+ exit 1
+fi
+